Update a variable
PUT
/api/v3/organizations/{api_organisation}/applications/{api_application}/environments/{api_environment}/variables/{api_variable}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/variables/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/variables/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "value": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”api_organisation
required
string
The organisation ID
Example
test-orgapi_application
required
string
The application ID
Example
test-appapi_environment
required
string
The environment ID
Example
test-envapi_variable
required
string
The variable key
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
value
string
Examplegenerated
{ "value": "example"}Responses
Section titled “Responses”The variable updated
The variable not found
